Send a push to one customer
curl --request POST \
--url https://app.masivo.ai/api/storefront/v1/push/customers/{id}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"push_template_id": "00000000-0000-4000-8000-000000000002"
}
'import requests
url = "https://app.masivo.ai/api/storefront/v1/push/customers/{id}/send"
payload = { "push_template_id": "00000000-0000-4000-8000-000000000002" }
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({push_template_id: '00000000-0000-4000-8000-000000000002'})
};
fetch('https://app.masivo.ai/api/storefront/v1/push/customers/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sent": true,
"customer_id": "customer-1",
"push_template_id": "00000000-0000-4000-8000-000000000002"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Push
Send customer push
Send one push notification to one active customer using an active push template. This sends synchronously and does not create delivery history.
POST
/
push
/
customers
/
{id}
/
send
Send a push to one customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The account id that owns the customer and push template.
Path Parameters
The customer unique identifier in your system
Body
application/json
The active push template id to send
Response
Push sent
Show child attributes
Show child attributes
⌘I